import { getRoleList, getMenuList, addRole, updateRole, getRoleInfo, deleteRole } from '@/api/role'

const role = {

  actions: {
    GetRoleList({ commit }, data) { // 根据条件获取所有的角色列表
      return new Promise((resolve, reject) => {
        getRoleList(data).then(response => {
          resolve(response)
        }).catch((err) => {
          reject(err)
        })
      })
    },
    GetMenuList({ commit }) { // 获取所有菜单
      return new Promise((resolve, reject) => {
        getMenuList().then(response => {
          resolve(response)
        }).catch((err) => {
          reject(err)
        })
      })
    },
    AddRole({ commit }, data) { // 添加角色
      return new Promise((resolve, reject) => {
        addRole(data).then(response => {
          resolve(response)
        }).catch((err) => {
          reject(err)
        })
      })
    },
    UpdateRole({ commit }, data) { // 修改角色
      return new Promise((resolve, reject) => {
        updateRole(data).then(response => {
          resolve(response)
        }).catch((err) => {
          reject(err)
        })
      })
    },
    GetRoleInfo({ commit }, id) { // 根据 角色id 查询角色
      return new Promise((resolve, reject) => {
        getRoleInfo(id).then(response => {
          resolve(response)
        }).catch((err) => {
          reject(err)
        })
      })
    },
    DeleteRole({ commit }, data) { // 根据 角色id 集合 删除
      return new Promise((resolve, reject) => {
        deleteRole(data).then(response => {
          resolve(response)
        }).catch((err) => {
          reject(err)
        })
      })
    }
  }
}

export default role
